#
# spec file for package lifecycle-data-sle-module-live-patching
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lifecycle-data-sle-module-live-patching
Version:        15
Release:        4.57.1
Summary:        SLE Live Patching Lifecycle Data
License:        GPL-2.0+
Group:          System/Management
URL:            http://www.suse.com/lifecycle
Source:         COPYING
Source1:        sle-module-live-patching.lifecycle
Provides:       lifecycle-data-sle-live-patching = %{version}
Obsoletes:      lifecycle-data-sle-live-patching < %{version}
BuildArch:      noarch

%description
Package lifecycle data.  This is the source of zypper lifecycle information.

%prep

%build

%install
mkdir -pv %{buildroot}%{_docdir}/%{name}
install -m 644 %{SOURCE0} %{buildroot}%{_docdir}/%{name}/COPYING
mkdir -pv %{buildroot}%{_datadir}/lifecycle/data
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/lifecycle/data/

%files
%doc %{_docdir}/%{name}/COPYING
%dir %{_docdir}/lifecycle-data-sle-module-live-patching
%dir %{_datadir}/lifecycle
%dir %{_datadir}/lifecycle/data
%{_datadir}/lifecycle/data/sle-module-live-patching.lifecycle

%changelog
* Wed Jul 14 2021 lpechacek@suse.com
- Added data for 4_12_14-197_92, 5_3_18-24_53_4, 5_3_18-24_67, 5_3_18-57,
  5_3_18-59_10, 5_3_18-59_5. (bsc#1020320)
* Wed May 19 2021 lpechacek@suse.com
- Added data for 4_12_14-150_72, 4_12_14-197_89, 5_3_18-24_61, 5_3_18-24_64. (bsc#1020320)
* Wed Mar 31 2021 lpechacek@suse.com
- Added data for 4_12_14-150_69, 4_12_14-197_83, 4_12_14-197_86,
  5_3_18-24_52. (bsc#1020320)
* Mon Feb 15 2021 lpechacek@suse.com
- Added data for 4_12_14-150_66, 4_12_14-197_78, 5_3_18-24_46, 5_3_18-24_49. (bsc#1020320)
* Wed Dec 16 2020 lpechacek@suse.com
- Added data for 4_12_14-150_63, 4_12_14-197_72, 4_12_14-197_75,
  5_3_18-24_43. (bsc#1020320)
* Thu Nov 12 2020 lpechacek@suse.com
- Added data for 4_12_14-197_61, 4_12_14-197_64, 4_12_14-197_67,
  5_3_18-24_24, 5_3_18-24_29, 5_3_18-24_34, 5_3_18-24_37. (bsc#1020320)
* Tue Sep 22 2020 lpechacek@suse.com
- Added data for 4_12_14-150_58, 4_12_14-197_51, 4_12_14-197_56,
  5_3_18-24_12, 5_3_18-24_15. (bsc#1020320)
* Thu Aug  6 2020 lpechacek@suse.com
- Added data for 4_12_14-150_55, 4_12_14-197_48, 5_3_18-22, 5_3_18-24_9. (bsc#1020320)
* Mon Jun 29 2020 lpechacek@suse.com
- Added data for 4_12_14-150_52, 4_12_14-197_45. (bsc#1020320)
* Mon May 11 2020 lpechacek@suse.com
- Added data for 4_12_14-197_37, 4_12_14-197_40. (bsc#1020320)
* Mon Mar 23 2020 lpechacek@suse.com
- Added data for 4_12_14-197_34. (bsc#1020320)
* Wed Jan 15 2020 lpechacek@suse.com
- Removed duplicate records and added data for 4_12_14-150_47,
  4_12_14-197_29. (bsc#1020320)
* Thu Nov 28 2019 lpechacek@suse.com
- Added data for 4_12_14-150_38, 4_12_14-150_41, 4_12_14-197_18,
  4_12_14-197_21, 4_12_14-197_26. (bsc#1020320)
* Tue Sep 24 2019 lpechacek@suse.com
- Added data for 4_12_14-150_27, 4_12_14-150_32, 4_12_14-150_35,
  4_12_14-197_10, 4_12_14-197_15. (bsc#1020320)
* Tue Jul  9 2019 lpechacek@suse.com
- Added data for 4_12_14-150_14, 4_12_14-150_17, 4_12_14-150_22,
  4_12_14-195, 4_12_14-197_4, 4_12_14-197_7,
  4_12_14-25_28. (bsc#1020320)
* Mon Jun  3 2019 lpechacek@suse.com
- Added data for 4_12_14-150_17. (bsc#1020320)
* Wed Apr 10 2019 lpechacek@suse.com
- Added data for 4_12_14-150_14. (bsc#1020320)
* Fri Feb 22 2019 lpechacek@suse.com
- Fixed package names in the data file. (bsc#1126443)
- Added data for 4_12_14-25_28. (bsc#1020320)
* Wed Dec 12 2018 lpechacek@suse.com
- Added data for 4_12_14-23, 4_12_14-25_13, 4_12_14-25_16, 4_12_14-25_19,
  4_12_14-25_22, 4_12_14-25_25, 4_12_14-25_3,
  4_12_14-25_6. (bsc#1020320)
* Thu Feb  8 2018 lpechacek@suse.com
- move data files to /usr/share (bsc#1069158)
- clean up spec file and adjust provides/obsoletes in accordance
  with packaging guidelines
* Thu Oct 26 2017 lpechacek@suse.com
- initial package (FATE#319322, FATE#320010, FATE#320597, FATE#323504)
